<?php
require_once OCS_APPLICATION_PATH . '/services/Optimization/Helper/Abstract/Base.php';

class Ocs_Service_Optimization_Helper_ParseMetaKeywords
    extends Ocs_Service_Optimization_Helper_Abstract_Base
{
    public function __invoke($text)
    {
        $result = explode(',', $text);
        foreach ($result as &$item) {
            $item = trim(mb_strtolower($this->_parent->htmlDecode($item)));
        }

        return $result;
    }
}